%define plugin	osdpip
%define rel	6

Summary:	VDR plugin: OSD Picture-in-Picture
Name:		vdr-plugin-%plugin
Version:	0.1.2
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://projects.vdr-developer.org/projects/show/plg-osdpip
Source:		http://projects.vdr-developer.org/attachments/download/961/vdr-%plugin-%version.tgz
Patch1:		osdpip-0.1.2-ffmpeg.patch
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	ffmpeg-devel
Requires:	vdr-abi = %vdr_abi

%description
OSD Picture-in-Picture is a PlugIn that displays the current channel in a
small box on the screen (default upper right corner). You can switch up and
down now, watching the progress of the previous channel in the box.

%prep
%setup -q -n %plugin-%version
%patch1 -p1 -b .ffmpeg
%vdr_plugin_prep

%build
VDR_PLUGIN_EXTRA_FLAGS="-D__STDC_CONSTANT_MACROS"
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README COPYING HISTORY TODO


%changelog
* Mon Jan 05 2015 anssi <anssi> 0.1.2-6.mga5
+ Revision: 808493
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.1.2-5.mga5
+ Revision: 798674
- rebuild for new VDR

* Fri Nov 14 2014 akien <akien> 0.1.2-4.mga5
+ Revision: 797160
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 745257
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 690156
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 danf <danf> 0.1.2-1.mga4
+ Revision: 565028
- Upgraded to ver. 0.1.2 to fix building with vdr 2

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + anssi <anssi>
    - rebuild for new VDR

* Mon Jul 15 2013 fwang <fwang> 0.1.1-5.mga4
+ Revision: 454512
- fix build with latest ffmpeg

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-5.mga3
+ Revision: 385289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 cjw <cjw> 0.1.1-4.mga3
+ Revision: 362678
- patch1: fix build with current ffmpeg

  + malo <malo>
    - spec clean-up
    - update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.1.1-2.mga2
+ Revision: 221048
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.1.1-1.mga2
+ Revision: 214826
- new version 0.1.1
- drop recent-ffmpeg.patch, fixed upstream

* Sat Jun 25 2011 fwang <fwang> 0.1.0-3.mga2
+ Revision: 113521
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Sat May 14 2011 anssi <anssi> 0.1.0-2.mga1
+ Revision: 98455
- fix license tag
- drop old scriplets
- imported package vdr-plugin-osdpip


* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 0.1.0-1mdv2011.0
+ Revision: 566924
- fix build with ffmpeg 0.6

  + Anssi Hannula <anssi@mandriva.org>
    - new version
    - new URL

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-3mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- adapt for vdr compilation flags handling changes, bump buildrequires

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.0.10-2mdv2009.1
+ Revision: 359345
- rebuild for new vdr
- fix typo in compiler flags

* Sun May 11 2008 Anssi Hannula <anssi@mandriva.org> 0.0.10-1mdv2009.0
+ Revision: 205446
- new version
- use new WITH_NEW_FFMPEG_HEADERS instead of symlink hack
- update source url

* Tue Apr 29 2008 Anssi Hannula <anssi@mandriva.org> 0.0.9-1mdv2009.0
+ Revision: 198964
- new version
- drop all patches, fixed upstream
- new source url
- simplify description, it was partially obsolete

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.0.8-16mdv2009.0
+ Revision: 197957
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.0.8-15mdv2009.0
+ Revision: 197775
- fix build with recent ffmpeg
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- do not close on menu timeout (P2 from e-tobi)
- adapt for api changes of VDR 1.5.0 (P3 from e-tobi)
- fix build with recent ffmpeg

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.8-14mdv2008.1
+ Revision: 145157
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-13mdv2008.1
+ Revision: 103175
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-12mdv2008.0
+ Revision: 50025
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-11mdv2008.0
+ Revision: 42111
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-10mdv2008.0
+ Revision: 22763
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-9mdv2007.0
+ Revision: 90950
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-8mdv2007.1
+ Revision: 74063
- rebuild for new vdr
- Import vdr-plugin-osdpip

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-2mdv2007.0
- rebuild for new vdr

* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-1mdv2007.0
- initial Mandriva release

